Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2814783003: Rename widget to search widget and use new bundleid to always build. (Closed)

Created:
2 years, 5 months ago by lody
Modified:
2 years, 5 months ago
CC:
chromium-reviews, extensions-reviews_chromium.org, ios-reviews+chrome_chromium.org, ios-reviews_chromium.org, pkl (ping after 24h if needed), noyau+watch_chromium.org, marq+watch_chromium.org, chromium-apps-reviews_chromium.org, sdefresne+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Rename widget to search widget and use new bundleid to always build. Using the newly created bundleid and mobileprovision, the search widget can be integrated in the application alongside the current today widget. When running on device after this check-in, it is necessary to install the SearchTodayExtension mobileprovision. BUG=622743, 682230 Review-Url: https://codereview.chromium.org/2814783003 Cr-Commit-Position: refs/heads/master@{#465606} Committed: https://chromium.googlesource.com/chromium/src/+/f31fea5a3b96415ea49bb95f286408df9de0a53b

Patch Set 1 #

Total comments: 4

Patch Set 2 : md + comment #

Total comments: 4

Patch Set 3 : rebase #

Patch Set 4 : seems I didn't actually delete widget_view_controller... #

Unified diffs Side-by-side diffs Delta from patch set Stats (+59 lines, -558 lines) Patch
M docs/ios/build_instructions.md View 1 1 chunk +1 line, -0 lines 0 comments Download
M ios/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
M ios/build/chrome_build.gni View 2 chunks +1 line, -3 lines 0 comments Download
M ios/chrome/app/BUILD.gn View 2 chunks +7 lines, -13 lines 0 comments Download
A + ios/chrome/search_widget_extension/BUILD.gn View 2 chunks +8 lines, -12 lines 0 comments Download
A + ios/chrome/search_widget_extension/DEPS View 0 chunks +-1 lines, --1 lines 0 comments Download
A + ios/chrome/search_widget_extension/Info.plist View 2 chunks +3 lines, -3 lines 0 comments Download
A + ios/chrome/search_widget_extension/OWNERS View 0 chunks +-1 lines, --1 lines 0 comments Download
A + ios/chrome/search_widget_extension/entitlements/external/search_widget_extension.appex.entitlements View 0 chunks +-1 lines, --1 lines 0 comments Download
A + ios/chrome/search_widget_extension/search_widget_view.h View 1 3 chunks +10 lines, -10 lines 0 comments Download
A + ios/chrome/search_widget_extension/search_widget_view.mm View 1 2 3 chunks +5 lines, -5 lines 0 comments Download
A ios/chrome/search_widget_extension/search_widget_view_controller.h View 1 chunk +15 lines, -0 lines 0 comments Download
A + ios/chrome/search_widget_extension/search_widget_view_controller.mm View 1 2 3 6 chunks +11 lines, -9 lines 0 comments Download
D ios/chrome/widget_extension/BUILD.gn View 1 chunk +0 lines, -66 lines 0 comments Download
D ios/chrome/widget_extension/DEPS View 1 chunk +0 lines, -4 lines 0 comments Download
D ios/chrome/widget_extension/Info.plist View 1 chunk +0 lines, -35 lines 0 comments Download
D ios/chrome/widget_extension/OWNERS View 1 chunk +0 lines, -1 line 0 comments Download
D ios/chrome/widget_extension/entitlements/external/widget_extension.appex.entitlements View 1 chunk +0 lines, -13 lines 0 comments Download
D ios/chrome/widget_extension/widget_view.h View 1 chunk +0 lines, -43 lines 0 comments Download
D ios/chrome/widget_extension/widget_view.mm View 1 chunk +0 lines, -106 lines 0 comments Download
D ios/chrome/widget_extension/widget_view_controller.h View 3 1 chunk +0 lines, -15 lines 0 comments Download
D ios/chrome/widget_extension/widget_view_controller.mm View 1 2 3 1 chunk +0 lines, -222 lines 0 comments Download

Messages

Total messages: 30 (16 generated)
lody
Could you please review? Thank you. I will be sure to update the mobile provisions ...
2 years, 5 months ago (2017-04-12 15:06:04 UTC) #2
sdefresne
Can you update docs/ios/build_instructions.md in that CL? https://codereview.chromium.org/2814783003/diff/1/ios/chrome/search_widget_extension/BUILD.gn File ios/chrome/search_widget_extension/BUILD.gn (right): https://codereview.chromium.org/2814783003/diff/1/ios/chrome/search_widget_extension/BUILD.gn#newcode55 ios/chrome/search_widget_extension/BUILD.gn:55: "WIDGET_EXTENSION_BUNDLE_ID=$chromium_bundle_id.SearchTodayExtension", Shouldn't ...
2 years, 5 months ago (2017-04-12 15:15:25 UTC) #3
lody
https://codereview.chromium.org/2814783003/diff/1/ios/chrome/search_widget_extension/BUILD.gn File ios/chrome/search_widget_extension/BUILD.gn (right): https://codereview.chromium.org/2814783003/diff/1/ios/chrome/search_widget_extension/BUILD.gn#newcode55 ios/chrome/search_widget_extension/BUILD.gn:55: "WIDGET_EXTENSION_BUNDLE_ID=$chromium_bundle_id.SearchTodayExtension", On 2017/04/12 15:15:25, sdefresne wrote: > Shouldn't this ...
2 years, 5 months ago (2017-04-12 15:35:31 UTC) #4
lody
marq: please review as sdefresne is ooo. Thanks!
2 years, 5 months ago (2017-04-13 11:55:43 UTC) #6
marq (ping after 24h)
LGTM with nits only. https://codereview.chromium.org/2814783003/diff/20001/ios/chrome/app/BUILD.gn File ios/chrome/app/BUILD.gn (left): https://codereview.chromium.org/2814783003/diff/20001/ios/chrome/app/BUILD.gn#oldcode329 ios/chrome/app/BUILD.gn:329: # TODO(crbug.com/682230) : Rename this ...
2 years, 5 months ago (2017-04-13 12:09:23 UTC) #7
lody
https://codereview.chromium.org/2814783003/diff/20001/ios/chrome/app/BUILD.gn File ios/chrome/app/BUILD.gn (left): https://codereview.chromium.org/2814783003/diff/20001/ios/chrome/app/BUILD.gn#oldcode329 ios/chrome/app/BUILD.gn:329: # TODO(crbug.com/682230) : Rename this when widget gets its ...
2 years, 5 months ago (2017-04-13 15:36:34 UTC) #10
sdefresne
lgtm
2 years, 5 months ago (2017-04-18 10:15:51 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2814783003/20001
2 years, 5 months ago (2017-04-19 09:10:02 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/414891) ios-device on master.tryserver.chromium.mac (JOB_FAILED, ...
2 years, 5 months ago (2017-04-19 09:13:12 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2814783003/60001
2 years, 5 months ago (2017-04-19 09:21:17 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/194044)
2 years, 5 months ago (2017-04-19 09:30:12 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2814783003/80001
2 years, 5 months ago (2017-04-19 12:41:47 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2814783003/100001
2 years, 5 months ago (2017-04-19 13:57:27 UTC) #27
commit-bot: I haz the power
2 years, 5 months ago (2017-04-19 15:06:14 UTC) #30
Message was sent while issue was closed.
Committed patchset #4 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/f31fea5a3b96415ea49bb95f2864...

Powered by Google App Engine
This is Rietveld 408576698